Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zgelsd

scipy.linalg.lapack.zgelsd(a, b, lwork, size_rwork, size_iwork[, cond, overwrite_a, overwrite_b]) = <fortran function zgelsd>

  Wrapper for `zgelsd`.

  Parameters:
    a input rank-2 array(‘D’) with bounds (m,n)
    b input rank-2 array(‘D’) with bounds (maxmn,nrhs)
    lwork input int
    size_rwork input int
    size_iwork input int
  Returns:
    x rank-2 array(‘D’) with bounds (maxmn,nrhs) and b storage
    s rank-1 array(‘d’) with bounds (minmn)
    rank int
    info int
  Other Parameters:
    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    cond input float, optional

      Default: -1.0